#include "MotorController_Interface.hpp"
#include "Logger.hpp"
#include "system_time.hpp"
#include <memory.h>
#include <iostream>

MC::MC(std::string id, const uint32_t maxVelocity_cps) : mcID(id), maxVel_cps(maxVelocity_cps)
{
}

uint32_t MC::maxMotorVelocity_cps()
{
	return maxVel_cps;
}

void MC::logLine(std::string comment)
{
	Logger::logEngLine(ALWAYS, mcID, comment);
}

const std::string MC::getEngFileHeader()
{
	return engFileHeader;
}
